[New Port] sysutils/mping
ClosedPublic

Authored by dteske on Jun 17 2018, 11:32 PM.

Details

Summary

mping is a utility for pinging multiple hosts.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dteske created this revision.Jun 17 2018, 11:32 PM
bapt requested changes to this revision.Jun 18 2018, 4:25 AM
bapt added a subscriber: bapt.
bapt added inline comments.
sysutils/mping/Makefile
23 ↗(On Diff #43981)

Why this line, I don't think it is actually needed

26 ↗(On Diff #43981)

This is not needed as well, automatically created by the mtree file when creating the stage directory

This revision now requires changes to proceed.Jun 18 2018, 4:25 AM
dteske updated this revision to Diff 43990.Jun 18 2018, 6:55 AM

Address feedback by bapt

dteske marked 2 inline comments as done.Jun 18 2018, 6:56 AM
mat added inline comments.Jun 18 2018, 1:29 PM
sysutils/mping/pkg-descr
1 ↗(On Diff #43990)

pkg-descr should be more descriptive than COMMENT.

dteske updated this revision to Diff 44040.Jun 18 2018, 9:24 PM

Make pkg-descr more descriptive

dteske marked an inline comment as done.Jun 18 2018, 9:24 PM
mat accepted this revision.Jun 18 2018, 9:54 PM
mat added inline comments.
sysutils/mping/pkg-descr
4–5 ↗(On Diff #44040)

I do not think the FreeBSD ports tree is used on MacOSX or Linux, so the end may not be of any interest here.

dteske added inline comments.Jun 18 2018, 10:16 PM
sysutils/mping/pkg-descr
4–5 ↗(On Diff #44040)

At work we just pick a FreeBSD box and copy it to our mac from that machine. So we use FreeBSD as a means to an end. I don't see anything wrong with that, but if you are intent on removing that bit, I will.

mat added inline comments.Jun 19 2018, 11:42 AM
sysutils/mping/pkg-descr
4–5 ↗(On Diff #44040)

I don't see anything wrong, I approved the review.

I just added a small comment about a bit I felt was not needed.

dteske updated this revision to Diff 44123.Jun 20 2018, 3:32 AM

Trim pkg-descr for relevancy

dteske marked 3 inline comments as done.Jun 20 2018, 3:32 AM
dteske updated this revision to Diff 44174.Jun 20 2018, 6:46 PM

Add sysutils/Makefile modification

dteske added a comment.EditedSat, Jun 23, 9:23 PM

To prevent the "This revision was not accepted when it landed; it landed in state Needs Review." moniker being attached to this review, can you re-approve?

mat accepted this revision.Wed, Jun 27, 10:46 AM

really?

imp added a comment.Wed, Jun 27, 2:08 PM

I wouldn't worry about it...

This revision was not accepted when it landed; it landed in state Needs Review.Wed, Jun 27, 6:35 PM
Closed by commit rP473453: [New Port] sysutils/mping (authored by dteske, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
In D15875#339613, @imp wrote:

I wouldn't worry about it...

Derp, you're right. It ended up getting that tag anyway because of bapt's request for changes (which were addressed but bapt didn't come back around to approve). I consider that a short-coming of phabricator that the blocking status of a request for changes doesn't get released when the action is taken. Blah.

There is a PKGBASE collision between sysutils/mping and net/mping.
PKGNAMEPREFIX or PKGNAMESUFFIX has to be added.

antoine reopened this revision.Fri, Jun 29, 9:35 PM

ping?

Been thinking about this for the past day. I can't think of any suitable value for either prefix or suffix. I'm open to suggestions -- perhaps you've delt with this in the past and have a suggestion for suitable value when this occurs.

It could be PKGNAMESUFFIX= -shell or PKGNAMESUFFIX= -fraubsd

dteske added a comment.Tue, Jul 3, 2:07 AM

It could be PKGNAMESUFFIX= -shell or PKGNAMESUFFIX= -fraubsd

https://reviews.freebsd.org/D16106

dteske accepted this revision.Wed, Jul 4, 3:28 AM
dteske resigned from this revision.Wed, Jul 4, 3:31 AM

@antoine can you accept so I can close?

antoine accepted this revision.Wed, Jul 4, 5:20 AM
dteske added a comment.Wed, Jul 4, 6:31 AM

I think this is a bug in phabricator. The review was in "closed" state and committed. Then a comment caused it to go back into "Needs Review". The person that added the comment (antoine) even came back and accepted and it still shows as "Needs Review". Can't close this ticket until it is in approved. I'd rather not use the sledgehammer of removing all the reviewers.

Let me reach out to bapt and, imp, and mat to see if their approval can get it out of the "Needs Review" state (which it shouldn't be in because it was previously in "Closed; committed" state prior to comment.

imp commandeered this revision.Thu, Jul 5, 10:14 PM
imp removed a reviewer: imp.

Steeling

imp abandoned this revision.Thu, Jul 5, 10:14 PM

this has been committed and got into a weird state.

imp reclaimed this revision.Thu, Jul 5, 10:15 PM
imp accepted this revision.
dteske commandeered this revision.Thu, Jul 5, 10:17 PM
dteske removed a reviewer: dteske.
dteske removed a reviewer: bapt.Thu, Jul 19, 6:25 PM
This revision is now accepted and ready to land.Thu, Jul 19, 6:25 PM
dteske closed this revision.Thu, Jul 19, 6:26 PM

Removed bapt and closed (was already committed but not closed because phab bugette)